Skip to main content
GET
/
workflow-templates
/
{id}
Retrieve a workflow template by ID
curl --request GET \
  --url https://api.artu.ai/workflow-templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "<string>",
  "name": "<string>",
  "tags": [
    "<string>"
  ],
  "scopes": [
    "<string>"
  ],
  "version": 0,
  "workflow": {
    "nodes": [],
    "edges": []
  },
  "variableDefinitions": [
    {
      "name": "<string>",
      "description": "<string>",
      "value": "<unknown>"
    }
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "description": "<string>",
  "category": "<string>",
  "metadata": {},
  "sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sourceWorkflowEnvironment": "<string>",
  "publishedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
organizationId
string
required
name
string
required
tags
string[]
required
scopes
string[]
required
visibility
enum<string>
required
Available options:
private,
pending_review,
published
version
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
workflow
object
required
variableDefinitions
object[]
required
createdAt
string
required
updatedAt
string
required
description
string
category
string
metadata
object
sourceWorkflowId
string<uuid> | null
sourceWorkflowEnvironment
string | null
publishedAt
string | null